# EditorController Class Reference
[Spring-like webflow tools]

Inheritance diagram for EditorController:
[legend]

List of all members.

## Public Member Functions

| __construct (Prototyped $subject)
| handleRequest (HttpRequest $request)

## Detailed Description

Definition at line 15 of file EditorController.class.php.

## Constructor & Destructor Documentation

EditorController::__construct | ( | Prototyped $ | subject | ) |

Reimplemented from BaseEditor.

Definition at line 17 of file EditorController.class.php.

## Member Function Documentation

EditorController::handleRequest | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Implements Controller.

Definition at line 31 of file EditorController.class.php.

References ModelAndView::create(), BaseEditor::getForm(), and BaseEditor::postHandleRequest().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Flow/EditorController.class.php